UserRole
Replace (sync) the roles for a user
PUT
/
v1
/
users
/
{id}
/
roles
Replace (sync) the roles for a user
curl --request PUT \
--url https://dev.flextell.ai/api/v1/users/{id}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"role_ids": [
123
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/users/{id}/roles"
payload = { "role_ids": [123] }
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({role_ids: [123]})
};
fetch('https://dev.flextell.ai/api/v1/users/{id}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": [
"<unknown>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error": "<string>",
"data": {
"message": "<string>"
},
"errors": null
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The user identifier
Body
application/json
Role IDs to assign (full sync — empty array clears all roles).
A role ID.
⌘I
Replace (sync) the roles for a user
